.. _consistent_hashing_ring:

********************************
Partitioned Consistent Hash Ring
********************************

.. _ring:

Ring
====

.. automodule:: swift.common.ring.ring
    :members:
    :undoc-members:
    :show-inheritance:

.. _ring-builder:

Ring Builder
============

.. automodule:: swift.common.ring.builder
    :members:
    :undoc-members:
    :show-inheritance:

.. _composite_builder:

Composite Ring Builder
======================

.. automodule:: swift.common.ring.composite_builder
    :members:
    :undoc-members:
    :show-inheritance:
